| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
nfcSnepServerCallback_t Struct Reference

NFC SNEP server callback function structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
void(* | onDeviceArrival )()
| NFC Peer Device callback function when device is detected. More...
void(* | onDeviceDeparture )(void)
| NFC Peer Device callback function when device is removed. More...
void(* | onMessageReceived )(unsigned char *message, unsigned int length)
| NFC Peer Device callback function when NDEF message is received from peer device. More...

## Detailed Description

NFC SNEP server callback function structure definition.

Definition at line 352 of file linux_nfc_api.h.

## Member Data Documentation

void(* nfcSnepServerCallback_t::onDeviceArrival) ()

NFC Peer Device callback function when device is detected.

Definition at line 356 of file linux_nfc_api.h.

void(* nfcSnepServerCallback_t::onDeviceDeparture) (void)

NFC Peer Device callback function when device is removed.

Definition at line 361 of file linux_nfc_api.h.

void(* nfcSnepServerCallback_t::onMessageReceived) (unsigned char *message, unsigned int length)

NFC Peer Device callback function when NDEF message is received from peer device.

Parameters

  message | NDEF message
  length | NDEF message length

Definition at line 368 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h